import braking_model as bm
import matplotlib.pyplot as plt

# Braking of a car from V = VI to rest with a maximum deceleration of 
# amax.

amax = -3.0 # Maximum deceleration in m/s^2
VI = 90*1000/3600 # Initial velocity in m/s

x, V, a, t = bm.calc_motion(VI, amax)

fig, axs = plt.subplots(3,1,sharex=True)
axs[0].plot(t,x)
axs[0].set_ylabel('x (m)')
axs[0].grid(True)

axs[1].plot(t,V)
axs[1].set_ylabel('V (m/s)')
axs[1].grid(True)

axs[2].plot(t,a)
axs[2].set_ylabel('a (m/s^2)')
axs[2].set_xlabel('t (s)')
axs[2].grid(True)


